package gui;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JButton;

/******************************************************************************
 * 																			  *
 *  Copyright 2004 Jordi Oliveras & Marcos Valerio.							  *
 * 																			  *
 *  This file is part of Ogre.												  *
 *																			  *
 *  Ogre is free software; you can redistribute it and/or modify			  *
 *  it under the terms of the GNU General Public License as published by	  *
 *  the Free Software Foundation; either version 2 of the License, or		  *
 *  (at your option) any later version.										  *
 *																			  *
 *  Ogre is distributed in the hope that it will be useful,					  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of			  *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			  *
 *  GNU General Public License for more details.							  *
 *                       													  *
 *  You should have received a copy of the GNU General Public License         *
 *  along with Ogre; if not, write to the Free Software                       *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *																		      *
 ******************************************************************************
 *																			  *
 * ZonaBotonListener - Oyente del ratn para con los botones. Este listener	  *
 * trata de ofrecer un poco ms de interactividad de los botones para con el  *
 * usuario. 																  *
 * 																			  *
 ******************************************************************************/
 
class ZonaBotonListener extends MouseAdapter {
			
	public void mouseEntered(MouseEvent e){
		JButton jb = (JButton) e.getComponent();
		jb.setBorderPainted(true);
	}
	
	public void mouseExited(MouseEvent e){
		JButton jb = (JButton) e.getComponent();
		jb.setBorderPainted(false);
	}
}
